## WDS Bind Data Port request WDS Bind Data Port request |

## Functions

QmiMessageWdsBindDataPortInput * | qmi_message_wds_bind_data_port_input_new ()
QmiMessageWdsBindDataPortInput * | qmi_message_wds_bind_data_port_input_ref ()
void | qmi_message_wds_bind_data_port_input_unref ()
gboolean | qmi_message_wds_bind_data_port_input_get_data_port ()
gboolean | qmi_message_wds_bind_data_port_input_set_data_port ()
QmiMessageWdsBindDataPortOutput * | qmi_message_wds_bind_data_port_output_ref ()
void | qmi_message_wds_bind_data_port_output_unref ()
gboolean | qmi_message_wds_bind_data_port_output_get_result ()
void | qmi_client_wds_bind_data_port ()
QmiMessageWdsBindDataPortOutput * | qmi_client_wds_bind_data_port_finish ()

## Types and Values

| QmiMessageWdsBindDataPortInput
| QmiMessageWdsBindDataPortOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsBindDataPortInput
        ╰── QmiMessageWdsBindDataPortOutput

## Description

## Functions

### qmi_message_wds_bind_data_port_input_new ()

    QmiMessageWdsBindDataPortInput *
    qmi_message_wds_bind_data_port_input_new
                                   (void);

Allocates a new QmiMessageWdsBindDataPortInput.

#### Returns

the newly created QmiMessageWdsBindDataPortInput. The returned value should be freed with `qmi_message_wds_bind_data_port_input_unref()`.

Since: 1.28

### qmi_message_wds_bind_data_port_input_ref ()

    QmiMessageWdsBindDataPortInput *
    qmi_message_wds_bind_data_port_input_ref
                                   (QmiMessageWdsBindDataPortInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsBindDataPortInput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_wds_bind_data_port_input_unref ()

    void
    qmi_message_wds_bind_data_port_input_unref
                                   (QmiMessageWdsBindDataPortInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsBindDataPortInput. |

Since: 1.28

### qmi_message_wds_bind_data_port_input_get_data_port ()

    gboolean
    qmi_message_wds_bind_data_port_input_get_data_port
                                   (QmiMessageWdsBindDataPortInput *self,
                                    QmiSioPort *value_data_port,
                                    GError **error);

Get the 'Data Port' field from `self` .

#### Parameters

self | a QmiMessageWdsBindDataPortInput. |
value_data_port | a placeholder for the output QmiSioPort, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wds_bind_data_port_input_set_data_port ()

    gboolean
    qmi_message_wds_bind_data_port_input_set_data_port
                                   (QmiMessageWdsBindDataPortInput *self,
                                    QmiSioPort value_data_port,
                                    GError **error);

Set the 'Data Port' field in the message.

#### Parameters

self | a QmiMessageWdsBindDataPortInput. |
value_data_port | a QmiSioPort. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wds_bind_data_port_output_ref ()

    QmiMessageWdsBindDataPortOutput *
    qmi_message_wds_bind_data_port_output_ref
                                   (QmiMessageWdsBindDataPortOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsBindDataPortOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_wds_bind_data_port_output_unref ()

    void
    qmi_message_wds_bind_data_port_output_unref
                                   (QmiMessageWdsBindDataPortOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsBindDataPortOutput. |

Since: 1.28

### qmi_message_wds_bind_data_port_output_get_result ()

    gboolean
    qmi_message_wds_bind_data_port_output_get_result
                                   (QmiMessageWdsBindDataPortOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsBindDataPortOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_client_wds_bind_data_port ()

    void
    qmi_client_wds_bind_data_port (QmiClientWds *self,
                                   QmiMessageWdsBindDataPortInput *input,
                                   guint timeout,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously sends a Bind Data Port request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_bind_data_port_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsBindDataPortInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_wds_bind_data_port_finish ()

    QmiMessageWdsBindDataPortOutput *
    qmi_client_wds_bind_data_port_finish (QmiClientWds *self,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an async operation started with `qmi_client_wds_bind_data_port()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_bind_data_port()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsBindDataPortOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_bind_data_port_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageWdsBindDataPortInput

    typedef struct _QmiMessageWdsBindDataPortInput QmiMessageWdsBindDataPortInput;

The QmiMessageWdsBindDataPortInput structure contains private data and should only be accessed using the provided API.

Since: 1.28

### QmiMessageWdsBindDataPortOutput

    typedef struct _QmiMessageWdsBindDataPortOutput QmiMessageWdsBindDataPortOutput;

The QmiMessageWdsBindDataPortOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28